# CLPlatform (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class CLPlatform

    java.lang.Object
      org.lwjgl.PointerWrapperAbstract
          org.lwjgl.opencl.CLPlatform

All Implemented Interfaces:
  PointerWrapper

    public final class CLPlatform

extends PointerWrapperAbstract

This class is a wrapper around a cl_platform_id pointer.

Author:
  Spasi

Field Summary

Fields inherited from class org.lwjgl.PointerWrapperAbstract
`pointer`

Method Summary
`CLDevice` `getCLDevice(long id)` Returns a CLDevice that is available on this platform.
`static CLPlatform` `getCLPlatform(long id)` Returns a CLPlatform with the specified id.
`java.util.List<CLDevice>` `getDevices(int device_type)` Returns a list of the available devices on this platform that match the specified type.
`java.util.List<CLDevice>` `getDevices(int device_type, Filter<CLDevice> filter)` Returns a list of the available devices on this platform that match the specified type, filtered by the specified filter.
`java.lang.String` `getInfoString(int param_name)` Returns the String value of the specified parameter.
`static java.util.List<CLPlatform>` `getPlatforms()` Returns a list of all the available platforms.
`static java.util.List<CLPlatform>` `getPlatforms(Filter<CLPlatform> filter)` Returns a list of the available platforms, filtered by the specified filter.

Methods inherited from class org.lwjgl.PointerWrapperAbstract
`checkValid, equals, getPointer, hashCode, isValid, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getCLPlatform

    public static CLPlatform getCLPlatform(long id)

  Returns a CLPlatform with the specified id.

  Parameters:
    `id` - the platform object id
  Returns:
    the CLPlatform object

### getCLDevice

    public CLDevice getCLDevice(long id)

  Returns a CLDevice that is available on this platform.

  Parameters:
    `id` - the device object id
  Returns:
    the CLDevice object

### getPlatforms

    public static java.util.List<CLPlatform> getPlatforms()

  Returns a list of all the available platforms.

  Returns:
    the available platforms

### getPlatforms

    public static java.util.List<CLPlatform> getPlatforms(Filter<CLPlatform> filter)

  Returns a list of the available platforms, filtered by the specified filter.

  Parameters:
    `filter` - the platform filter
  Returns:
    the available platforms

### getInfoString

    public java.lang.String getInfoString(int param_name)

  Returns the String value of the specified parameter.

  Parameters:
    `param_name` - the parameter
  Returns:
    the parameter value

### getDevices

    public java.util.List<CLDevice> getDevices(int device_type)

  Returns a list of the available devices on this platform that match the specified type.

  Parameters:
    `device_type` - the device type
  Returns:
    the available devices

### getDevices

    public java.util.List<CLDevice> getDevices(int device_type,
                                               Filter<CLDevice> filter)

  Returns a list of the available devices on this platform that match the specified type, filtered by the specified filter.

  Parameters:
    `device_type` - the device type
    `filter` - the device filter
  Returns:
    the available devices

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.